package org.vcs.bazaar.eclipse.ui.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;
import org.vcs.bazaar.client.BazaarPreference;
import org.vcs.bazaar.eclipse.IBazaarCoreConstants;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;

/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	public void initializeDefaultPreferences() {
		IPreferenceStore store = EclipseBazaarUI.getDefault().getPreferenceStore();
		store.setDefault(BazaarPreference.EXECUTABLE.name(), "");//TODO look at getting the executable from BazaarClientPreferences. 
		store.setDefault(BazaarPreference.BZR_EMAIL.name(), System.getProperty("user.name"));
		store.setDefault(BazaarPreference.BZR_PLUGIN_PATH.name(), ""); //TODO look at parsing the xml from bzr plugins --xml to find all the unique paths specified by the <path> tags
		store.setDefault(BazaarPreference.BZR_XMLRPC_PORT.name(), 11111);
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_COMMAND_COLOR, "255,0,");
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_ERROR_COLOR, "255,50,0");
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_MESSAGE_COLOR, "0,255,0");
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_HIGH_WATER_MARK, 5000);
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_LIMIT_OUTPUT, false);
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_FONT, "");
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_SHOW_ON_DEBUG, false);
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_SHOW_ON_ERROR, true);
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_SHOW_ON_MESSAGE, true);
		store.setDefault(BazaarPreferenceConstants.FILE_TEXT_DECORATOR, false);
		store.setDefault(BazaarPreferenceConstants.PROJECT_TEXT_DECORATOR, false);
		store.setDefault(BazaarPreferenceConstants.STATUS_TEXT_DECORATOR, false);
		store.setDefault(BazaarPreferenceConstants.STATUS_OVERLAY_DECORATOR, true);
		store.setDefault(BazaarPreferenceConstants.CHECK_ACTION_AVAILABILITY, true);
		store.setDefault(BazaarPreferenceConstants.DEEP_DECORATION, true);
		store.setDefault(IBazaarCoreConstants.LOG_REVISION_LIMIT, 200);
		store.setDefault(BazaarPreferenceConstants.NOT_VERSIONED_MARKER, false);
	}

}
